From riku@juha.fi Fri Jul  2 05:43:39 1993
To: Fred.Lloyd@West
Subject: Updated version of IC-W2 extended xmit mod
From: Riku Kalinen <Riku.Kalinen@juha.fi>
Content-Length: 4992

I finally updated my copy of those mod instructions. Here it is.
If You like to distribute this, please do so.

--
Extended Transmit Mod

Call the ICOM parts department ((206) 454-8155) and order a pair of
MA133 diodes (P/N 1790000860).  These are the three terminal surface
mount diode packages (possibly SOT-22).  It is probably not advisable to
substitute  conventional leaded glass diodes here due to size restraints.

The diodes are connected as follows:

		 3
	         !
  	+--------+--------+
	!        !        !
	! +-->!--+-->!--+ !
	! !	        ! !
	+-+-------------+-+
	  !		!
	  1		2

The modification involves removing one surface mount component and
installing two others.  The working parts are extremely small and the
mod should not be performed unless you are comfortable with working
while using a loop eyepiece or other magnifying device.  This is a
"surgical" operation.  Take all the usual precautions with respect to
static electricity, etc.

Remove 5 screws holding back on, and two screws on side of case below
the PTT switch.  Gently pry the unit apart.

Inside the unit are two RF "stack" units.  The complete RF "stack" is
composed of two enclosed sheet metal boxes sandwiched together, about
1.5" wide, 2" tall and .5" thick.  Each RF stack unit (one per band) is
totally self contained, is about .25" thick, and plugs into the
"motherboard" using connectors mounted on one end.

First, remove the stack units.  To do this, remove one screw from each
side of the stack.  Remove the single screw off the bottom end of the
stack and gently remove the metal spring clip holding the stack
together.

Carefully lift each stack unit out by pulling it back and down.  They
should easily unplug from the upper motherboard.  Set them aside for
now.

At this time the back side of the front panel is clearly accessible and
the two CPU's are visible side-by-side across the top.  Now refer to
the following illustration:


      Top of Radio, Back side of Front Panel
_____________________________________________________
                                                     |
            --------              --------           |
           |        |            |        |          |---
           | CPU-1  |            | CPU-2  |          |   |
           |        |            |        |          | P |
            --------              --------           | T |
                                                     | T |
              --------                               |   |
              --------                               |---
                       .<: <-D20       ----------    |
                               ..     | |fuse  | |   |
                          D22-> V      ----------    |
                                    ..               |
                               D19-> V               |
                                            ..       |
                                             V <-D?  |
                                                     |


D19, D20 and D22 are locations on the board.  Only D22 is installed
at the factory.  To perform the mod, you must do the following:

      Remove  D22
      Install D19
      Install D20

The locations of D19 and D20 are clearly silk screened onto the circuit
board and are easy to locate.  Don't attempt to re-use D22 since it is of
wrong type.  The periods (..) show the approximate location of the solder pads
for the 2-legged sides of the diodes.

D19 and D20 are not mentioned in any way in the service manual part list. They
are drawn in the picture of the logic board, though.

Diode D22 may be removed by carefully heating the leads and prying it up
using a sharp tool.  Be very careful since it's easy to lift the solder
pads.

One method of installing diodes D19 and D20 is to use a very small drop
of super glue to mount the part, and then use a soldering iron to tack
down the pins.

After the parts are installed, reassemble the radio.  Although the
manufacturer recommends that the microprocessor be reset after this
mod, I have found it to be unnecessary.  All memories retained their
settings after the mod.  Tests using a dummy load and a frequency
counter showed TX ability on UHF from under 400MHz to over 490MHz. 
TX on VHF covers from 136MHz to 174MHz.

The effect to the initial matrix goes as follows:
  - D22 sits between D3 and 11. It is removed.
  - D19 connects D0 and 11.
  - D20 connects D1 and 11.
These connections are totally undocumented by service manual.

Note that D19 and D20 are two-diode devices but it is actually possible to
make the modification using two single diodes by connecting them between
pins 1 and 2 in the place of SMD diode-pair. The space available is small, so
consider this possibility only when You cannot get the SMD devices.
--

-- Riku "the bit" Kalinen, Suomen Tietoverkkopalvelu Oy
-- Ham: OH2LWO (>= 50MHz)
-- X.400: G=Riku;S=Kalinen;O=juha;P=juha;A=mailnet;C=fi
-- "Welcome to the party, pal!" -- Bruce Willis in "Die Hard"

 
Copied from the QRZ! Windows Ham Radio CDROM
 
